/* ----------------------------------------------------------------
 *   FILE
 *	error.c
 *	
 *   NOTES
 *
 *   IDENTIFICATION
 *	$Header: /private/postgres/src/parser/RCS/error.c,v 1.5 1990/08/14 10:30:53 cimarron Exp $
 * ----------------------------------------------------------------
 */
static char *error_c = "$Header: /private/postgres/src/parser/RCS/error.c,v 1.5 1990/08/14 10:30:53 cimarron Exp $";

#include <stdio.h>
#include "utils/log.h"

/*
 * Default error handler for syntax errors.
 */
yyerror(message)
char    message[];
{
    extern char     *yytext;

    elog(WARN, "parser: %s at or near \"%s\"\n", message, yytext);
}

/*
 *	Scanner error handler.
 */
serror(str)
char str[];
{
	elog(WARN, "*** scanner error: %s\n", str);
}

